package hiedabke_zgpf

import (
	"git.swzry.com/zry/GoHiedaLogger/hiedalog"
	zgpf "git.swzry.com/zry/zry-go-program-framework/core"
)

func CreateHiedaLoggerFromIModuleLogger(base zgpf.IModuleLogger) *hiedalog.HiedaLogger {
	l := hiedalog.NewHiedaLogger()
	b := NewZGPFModuleLoggerBackend(base)
	l.AddBackend(b, l.LevelFilter.NameToID(hiedalog.DLN_DEBUG))
	return l
}
